View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021704LazarusIDEpublic2012-04-11 01:282013-09-03 12:07
ReporterBenito van der Zander 
Assigned ToMartin Friebe 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusresolvedResolutionunable to reproduce 
PlatformOSOS Version
Product VersionProduct Buildr36661 
Target VersionFixed in Version 
Summary0021704: bookmarks fail with rangecheck error
DescriptionAfter a long editing session, creating a new bookmark (ctrl+shift+1) suddenly only showed a "range check error"-message and, although it did set a new bookmark (see image), it didn't delete the old one and the new bookmark didn't work
TagsNo tags attached.
Fixed in Revision
LazTarget1.4
Widgetset
Attached Filespng file icon error.png [^] (3,308 bytes) 2012-04-11 01:28

- Relationships

-  Notes
(0058613)
Martin Friebe (manager)
2012-04-15 13:15

More steps to reproduce are needed. Or at least a stacktrace.

Please compile Lazarus with debug info, and run with --debug-log=<file>
(0058627)
Benito van der Zander (reporter)
2012-04-15 18:17

It only happened once, and I can't reproduce it
(0058634)
Martin Friebe (manager)
2012-04-15 23:09

Acknowledged, to wait a couple of weeks, if the issue re-occurs.

If not, it will be "suspended" (closed).
It can be reopened, should it happen again, and should more info emerge.

From the current info, the issue can not be fixed. It can not even be pinpointed to any part of the IDE, or SynEdit. It may well be in unrelated code (memory corruption). So even if fixed, it would not be known that this issue could then be closed.



(0060064)
Martin Friebe (manager)
2012-05-30 01:13

The issue can not be reproduced.

Please re-open, if it occurs again.

- Issue History
Date Modified Username Field Change
2012-04-11 01:28 Benito van der Zander New Issue
2012-04-11 01:28 Benito van der Zander File Added: error.png
2012-04-15 13:15 Martin Friebe LazTarget => -
2012-04-15 13:15 Martin Friebe Note Added: 0058613
2012-04-15 13:15 Martin Friebe Status new => feedback
2012-04-15 18:17 Benito van der Zander Note Added: 0058627
2012-04-15 23:09 Martin Friebe LazTarget - => post 1.2
2012-04-15 23:09 Martin Friebe Note Added: 0058634
2012-04-15 23:09 Martin Friebe Status feedback => acknowledged
2012-05-30 01:13 Martin Friebe Status acknowledged => resolved
2012-05-30 01:13 Martin Friebe Resolution open => unable to reproduce
2012-05-30 01:13 Martin Friebe Assigned To => Martin Friebe
2012-05-30 01:13 Martin Friebe Note Added: 0060064
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker